Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Signal_Property Class Template Reference

`#include <Notify_Signal_Property_T.h>`

Inheritance diagram for TAO_Notify_Signal_Property:

[legend]
Collaboration diagram for TAO_Notify_Signal_Property:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Signal_Property (void)
| Initialize <value_> to 0. More...
| TAO_Notify_Signal_Property (const TYPE &c)
| Initialize <value_> to c. More...
virtual | ~TAO_Notify_Signal_Property (void)
TYPE | operator++ (int)
| Atomically post-increment <value_>. More...
TYPE | operator-- (int)
| Atomically post-decrement <value_>. More...
TYPE | value (void) const
| Explicitly return <value_>. More...
virtual int | wait_for_change (const ACE_Time_Value *abstime)
| Wait for the value_ to change. More...
## Private Methods
| TAO_Notify_Signal_Property (const TAO_Notify_Signal_Property< ACE_LOCK, TYPE > &rhs)
TAO_Notify_Signal_Property & | operator= (const TAO_Notify_Signal_Property< ACE_LOCK, TYPE > &rhs)
## Private Attributes
ACE_Atomic_Op< ACE_LOCK, TYPE > | value_
ACE_SYNCH_CONDITION | changed_

### template<class ACE_LOCK, class TYPE>
class TAO_Notify_Signal_Property< ACE_LOCK, TYPE >

## Constructor & Destructor Documentation

template<class ACE_LOCK, class TYPE>
TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::TAO_Notify_Signal_Property | ( | void |  | ) |

| Initialize <value_> to 0.

template<class ACE_LOCK, class TYPE>
TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::TAO_Notify_Signal_Property | ( | const TYPE & | c | ) |

| Initialize <value_> to c.

template<class ACE_LOCK, class TYPE>
TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::~TAO_Notify_Signal_Property | ( | void |  | ) | `[virtual]`

template<class ACE_LOCK, class TYPE>
TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::TAO_Notify_Signal_Property | ( | const TAO_Notify_Signal_Property< ACE_LOCK, TYPE > & | rhs | ) | `[private]`

## Member Function Documentation

template<class ACE_LOCK, class TYPE>
TYPE TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::operator++ | ( | int |  | ) |

| Atomically post-increment <value_>.

template<class ACE_LOCK, class TYPE>
TYPE TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::operator-- | ( | int |  | ) |

| Atomically post-decrement <value_>.

template<class ACE_LOCK, class TYPE>
TAO_Notify_Signal_Property& TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::operator= | ( | const TAO_Notify_Signal_Property< ACE_LOCK, TYPE > & | rhs | ) | `[private]`

template<class ACE_LOCK, class TYPE>
TYPE TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::value | ( | void |  | ) | const

| Explicitly return <value_>.

template<class ACE_LOCK, class TYPE>
int TAO_Notify_Signal_Property< ACE_LOCK, TYPE >::wait_for_change | ( | const ACE_Time_Value * | abstime | ) | `[virtual]`

| Wait for the value_ to change.

## Member Data Documentation

template<class ACE_LOCK, class TYPE>
ACE_SYNCH_CONDITION TAO_Notify_Signal_Property::changed_`[private]`

template<class ACE_LOCK, class TYPE>
ACE_Atomic_Op<ACE_LOCK, TYPE> TAO_Notify_Signal_Property::value_`[private]`

The documentation for this class was generated from the following files:

- Notify_Signal_Property_T.h
- Notify_Signal_Property_T.cpp